# lmathlib.c File Reference

`#include <stdlib.h>`
`#include <fastmath.h>`
`#include "lua.h"`
`#include "lauxlib.h"`
`#include "lualib.h"`
`#include <pspmath.h>`

## Defines
#define | lmathlib_c
#define | LUA_LIB
#define | PI (3.14159f)
#define | RADIANS_PER_DEGREE (PI/180.0f)
## Functions
static int | math_abs (lua_State *L)
static int | math_sin (lua_State *L)
static int | math_sinh (lua_State *L)
static int | math_cos (lua_State *L)
static int | math_cosh (lua_State *L)
static int | math_tan (lua_State *L)
static int | math_tanh (lua_State *L)
static int | math_asin (lua_State *L)
static int | math_acos (lua_State *L)
static int | math_atan (lua_State *L)
static int | math_atan2 (lua_State *L)
static int | math_ceil (lua_State *L)
static int | math_floor (lua_State *L)
static int | math_fmod (lua_State *L)
static int | math_sqrt (lua_State *L)
static int | math_pow (lua_State *L)
static int | math_log (lua_State *L)
static int | math_log10 (lua_State *L)
static int | math_exp (lua_State *L)
static int | math_deg (lua_State *L)
static int | math_rad (lua_State *L)
static int | math_frexp (lua_State *L)
static int | math_ldexp (lua_State *L)
static int | math_min (lua_State *L)
static int | math_max (lua_State *L)
static int | math_int (lua_State *L)
static int | math_random (lua_State *L)
static int | math_randomseed (lua_State *L)
LUALIB_API int | luaopen_math (lua_State *L)
## Variables
static const luaL_Reg | mathlib []

## Define Documentation

#define lmathlib_c

#define LUA_LIB

#define PI (3.14159f)

#define RADIANS_PER_DEGREE (PI/180.0f)

## Function Documentation

LUALIB_API int luaopen_math | ( | lua_State * | L | ) |

static int math_abs | ( | lua_State * | L | ) | `[static]`

static int math_acos | ( | lua_State * | L | ) | `[static]`

static int math_asin | ( | lua_State * | L | ) | `[static]`

static int math_atan | ( | lua_State * | L | ) | `[static]`

static int math_atan2 | ( | lua_State * | L | ) | `[static]`

static int math_ceil | ( | lua_State * | L | ) | `[static]`

static int math_cos | ( | lua_State * | L | ) | `[static]`

static int math_cosh | ( | lua_State * | L | ) | `[static]`

static int math_deg | ( | lua_State * | L | ) | `[static]`

static int math_exp | ( | lua_State * | L | ) | `[static]`

static int math_floor | ( | lua_State * | L | ) | `[static]`

static int math_fmod | ( | lua_State * | L | ) | `[static]`

static int math_frexp | ( | lua_State * | L | ) | `[static]`

static int math_int | ( | lua_State * | L | ) | `[static]`

static int math_ldexp | ( | lua_State * | L | ) | `[static]`

static int math_log | ( | lua_State * | L | ) | `[static]`

static int math_log10 | ( | lua_State * | L | ) | `[static]`

static int math_max | ( | lua_State * | L | ) | `[static]`

static int math_min | ( | lua_State * | L | ) | `[static]`

static int math_pow | ( | lua_State * | L | ) | `[static]`

static int math_rad | ( | lua_State * | L | ) | `[static]`

static int math_random | ( | lua_State * | L | ) | `[static]`

static int math_randomseed | ( | lua_State * | L | ) | `[static]`

static int math_sin | ( | lua_State * | L | ) | `[static]`

static int math_sinh | ( | lua_State * | L | ) | `[static]`

static int math_sqrt | ( | lua_State * | L | ) | `[static]`

static int math_tan | ( | lua_State * | L | ) | `[static]`

static int math_tanh | ( | lua_State * | L | ) | `[static]`

## Variable Documentation

const luaL_Reg mathlib[]`[static]`